Omnis Technical Note TNDF0005 Updated March 2010

Omnis Data Bridge Server-Client Version Compatibility

For Omnis Classic 7^3.8 and Omnis Studio
By Ian Thurbon

In order to determine the Omnis7 or Studio clients that are compatible with your Omnis Data Bridge Server, please use the table below. When your server is upgraded it is best to upgrade your client to ensure the best performance and compatibility, however the server is backward compatible with the clients.

ODB version Supported Clients (up to)
v1.2 Studio 3.3
Classic 7.3.8.2
v1.3 Studio 3.3 (with Padlock bug)
Studio 3.3.3
Studio 4.0.3

Classic 7.3.8 (with padlock bug)
Classic 7.3.8.3
v1.41 Studio 3.3 (with Padlock bug)
Studio 3.3.3 (without locking ability)
Studio 4.1
Studio 4.2
Studio 4.3.1

Classic 7.3.8 - Classic 7.3.8.2 (with padlock bug)
Classic 7.3.8.3 (without locking ability)
v1.51
v1.52
Studio 4.3.1.4.1
Studio 4.3.2
Studio 5.0
v1.53 Studio 5.1
v1.54 Studio 5.2

In order to determine the Omnis Data Bridge Server that is compatible with your Omnis7 or Studio clients, please use the table below. When your client is upgraded you may require a server upgrade to maintain compatibility as clients are NOT backward compatible with older servers.

Client Version Supported Server (and above)
Classic 7.3.8.2 v1.2
Classic 7.3.8.3 v1.3
Studio 3.3 v1.2
Studio 3.3.3 v1.3
Studio 4.0.3 v1.3
Studio 4.1 v1.41
Studio 4.2 v1.41
Studio 4.3.1 v1.41
Studio 4.3.1.4.1 v1.51
Studio 4.3.2 v1.51
Studio 5.0 v1.51
Studio 5.1 v1.53
Studio 5.2 v1.54

General Rule:

New servers will work with older clients, but new clients will not work with older